;nyquist plug-in
;version 3
;type process
;name "Amplification des basses..."
;action "Stimuler les basses frquences..."
;categories "http://lv2plug.in/ns/lv2core#LowpassPlugin"
;info "par Steve Daulton. Distribu sous licence GPL v2.\n"

;; By Steve Daulton. Dec. 2012
;; Released under terms of the GNU General Public License version 2:
;; http://www.gnu.org/licenses/old-licenses/gpl-2.0.html 
;;
;; For information about writing and modifying Nyquist plug-ins:
;; http://wiki.audacityteam.org/wiki/Nyquist_Plug-ins_Reference

#|
ADVICE:
It is highly recommended to use 32-bit float format for audio
tracks. If this format is used and the output level is 
inadvertently boosted too much then it can be brought back 
down below 0 dB by using the Amplify effect.
|#

;control hz "Frquences (Hz)" int "" 200 0 1000
;control gain "Amplification (db)" int "" 12 0 36

;; Sanitize user input
(defun sanitize (var minval maxval)
  (float (max (min var maxval) minval)))

(setq hz (sanitize hz 0 1000))    ; sanitize frequency
(setq gain (sanitize gain 0 30))  ; sanitize gain

(eq-lowshelf s hz gain)
